# simplemodal
lightweight (only 7kb), easy, no css required, jquery support, bootstrap compatible

# create modal from div

<pre class="javascript" style="font-family:monospace;"><span style="color: #339933;">&lt;</span>script<span style="color: #339933;">&gt;</span>
$<span style="color: #009900;">&#40;</span><span style="color: #3366CC;">'#modal'</span><span style="color: #009900;">&#41;</span>.<span style="color: #660066;">simplemodal</span><span style="color: #009900;">&#40;</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span>
<span style="color: #339933;">&lt;/</span>script<span style="color: #339933;">&gt;</span>
<span style="color: #339933;">&lt;</span>div id<span style="color: #339933;">=</span><span style="color: #3366CC;">&quot;modal&quot;</span> <span style="color: #FF0000;">class</span><span style="color: #339933;">=</span><span style="color: #3366CC;">&quot;simplemodal&quot;</span> 
title<span style="color: #339933;">=</span><span style="color: #3366CC;">&quot;This is a title&quot;</span><span style="color: #339933;">&gt;</span>
Content of the div
<span style="color: #339933;">&lt;/</span>div<span style="color: #339933;">&gt;</span></pre>

# ajax, iframe, image

<pre class="javascript" style="font-family:monospace;"><span style="color: #006600; font-style: italic;">// Ajax</span>
simplemodal<span style="color: #009900;">&#40;</span><span style="color: #009900;">&#123;</span>
	title<span style="color: #339933;">:</span><span style="color: #3366CC;">'Test'</span><span style="color: #339933;">,</span>
	ajax<span style="color: #339933;">:</span><span style="color: #3366CC;">'ajax.html'</span>
<span style="color: #009900;">&#125;</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span>
<span style="color: #006600; font-style: italic;">// Iframe</span>
simplemodal<span style="color: #009900;">&#40;</span><span style="color: #009900;">&#123;</span>
	iframescroll<span style="color: #339933;">:</span><span style="color: #3366CC;">'auto'</span><span style="color: #339933;">,</span>
	title<span style="color: #339933;">:</span><span style="color: #3366CC;">'Test'</span><span style="color: #339933;">,</span>
	iframe<span style="color: #339933;">:</span><span style="color: #3366CC;">'ajax.html'</span>
<span style="color: #009900;">&#125;</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span>
<span style="color: #006600; font-style: italic;">// Image</span>
simplemodal<span style="color: #009900;">&#40;</span><span style="color: #009900;">&#123;</span>
	title<span style="color: #339933;">:</span><span style="color: #3366CC;">'A koala'</span><span style="color: #339933;">,</span>
	image<span style="color: #339933;">:</span><span style="color: #3366CC;">'/simplemodal/samples/Koala.jpg'</span>
<span style="color: #009900;">&#125;</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span></pre>   

# Fade, drag & drop, escape key

<pre class="javascript" style="font-family:monospace;"><span style="color: #006600; font-style: italic;">// Fade</span>
simplemodal<span style="color: #009900;">&#40;</span><span style="color: #009900;">&#123;</span>
		title<span style="color: #339933;">:</span><span style="color: #3366CC;">'Modal title'</span><span style="color: #339933;">,</span>
		content<span style="color: #339933;">:</span><span style="color: #3366CC;">'Lorem ipsum dolor sit amet'</span><span style="color: #339933;">,</span>
		fade<span style="color: #339933;">:</span><span style="color: #003366; font-weight: bold;">true</span>
<span style="color: #009900;">&#125;</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span>
<span style="color: #006600; font-style: italic;">// Drag and drop</span>
simplemodal<span style="color: #009900;">&#40;</span><span style="color: #009900;">&#123;</span>
		title<span style="color: #339933;">:</span><span style="color: #3366CC;">'Drag this title'</span><span style="color: #339933;">,</span>
		content<span style="color: #339933;">:</span><span style="color: #3366CC;">'This is a modal.'</span><span style="color: #339933;">,</span>
		draggable<span style="color: #339933;">:</span><span style="color: #003366; font-weight: bold;">true</span>
<span style="color: #009900;">&#125;</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span>
<span style="color: #006600; font-style: italic;">// Escape key</span>
simplemodal<span style="color: #009900;">&#40;</span><span style="color: #009900;">&#123;</span>
		title<span style="color: #339933;">:</span><span style="color: #3366CC;">'Escape'</span><span style="color: #339933;">,</span>
		content<span style="color: #339933;">:</span><span style="color: #3366CC;">'Now press ESC on your keyboard'</span><span style="color: #339933;">,</span>
		escape<span style="color: #339933;">:</span><span style="color: #003366; font-weight: bold;">true</span>
<span style="color: #009900;">&#125;</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span></pre>
                    
# Styling without css

<pre class="javascript" style="font-family:monospace;"><span style="color: #006600; font-style: italic;">// dark square with border</span>
simplemodal<span style="color: #009900;">&#40;</span><span style="color: #009900;">&#123;</span>
		title<span style="color: #339933;">:</span><span style="color: #3366CC;">'Modal'</span><span style="color: #339933;">,</span>
		content<span style="color: #339933;">:</span><span style="color: #3366CC;">'Lorem ipsum dolor sit amet'</span><span style="color: #339933;">,</span>
		bgtitle<span style="color: #339933;">:</span><span style="color: #3366CC;">'#000'</span><span style="color: #339933;">,</span>
		titlecolor<span style="color: #339933;">:</span><span style="color: #3366CC;">'#FFF'</span><span style="color: #339933;">,</span>
		bgcontent<span style="color: #339933;">:</span><span style="color: #3366CC;">'#666'</span><span style="color: #339933;">,</span>
		contentcolor<span style="color: #339933;">:</span><span style="color: #3366CC;">'#FFF'</span><span style="color: #339933;">,</span>
		titleborder<span style="color: #339933;">:</span><span style="color: #3366CC;">'none'</span><span style="color: #339933;">,</span>
		rounded<span style="color: #339933;">:</span><span style="color: #003366; font-weight: bold;">false</span>
<span style="color: #009900;">&#125;</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span>
<span style="color: #006600; font-style: italic;">// dark no shadow and no border</span>
simplemodal<span style="color: #009900;">&#40;</span><span style="color: #009900;">&#123;</span>
		title<span style="color: #339933;">:</span><span style="color: #3366CC;">'Modal'</span><span style="color: #339933;">,</span>
		content<span style="color: #339933;">:</span><span style="color: #3366CC;">'Lorem ipsum dolor sit amet'</span><span style="color: #339933;">,</span>
		bgtitle<span style="color: #339933;">:</span><span style="color: #3366CC;">'#000'</span><span style="color: #339933;">,</span>
		titlecolor<span style="color: #339933;">:</span><span style="color: #3366CC;">'#FFF'</span><span style="color: #339933;">,</span>
		bgcontent<span style="color: #339933;">:</span><span style="color: #3366CC;">'#666'</span><span style="color: #339933;">,</span>
		contentcolor<span style="color: #339933;">:</span><span style="color: #3366CC;">'#FFF'</span><span style="color: #339933;">,</span>
		titleborder<span style="color: #339933;">:</span><span style="color: #3366CC;">'none'</span><span style="color: #339933;">,</span>
		border<span style="color: #339933;">:</span><span style="color: #3366CC;">'none'</span><span style="color: #339933;">,</span>
		shadow<span style="color: #339933;">:</span><span style="color: #003366; font-weight: bold;">false</span>
<span style="color: #009900;">&#125;</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span>
<span style="color: #006600; font-style: italic;">// dark with shadow, no background</span>
simplemodal<span style="color: #009900;">&#40;</span><span style="color: #009900;">&#123;</span>
		title<span style="color: #339933;">:</span><span style="color: #3366CC;">'Modal'</span><span style="color: #339933;">,</span>
		content<span style="color: #339933;">:</span><span style="color: #3366CC;">'Lorem ipsum dolor sit amet'</span><span style="color: #339933;">,</span>
		bgtitle<span style="color: #339933;">:</span><span style="color: #3366CC;">'#000'</span><span style="color: #339933;">,</span>
		titlecolor<span style="color: #339933;">:</span><span style="color: #3366CC;">'#FFF'</span><span style="color: #339933;">,</span>
		bgcontent<span style="color: #339933;">:</span><span style="color: #3366CC;">'#666'</span><span style="color: #339933;">,</span>
		contentcolor<span style="color: #339933;">:</span><span style="color: #3366CC;">'#FFF'</span><span style="color: #339933;">,</span>
		titleborder<span style="color: #339933;">:</span><span style="color: #3366CC;">'none'</span><span style="color: #339933;">,</span>
		border<span style="color: #339933;">:</span><span style="color: #3366CC;">'none'</span><span style="color: #339933;">,</span>
		shadow<span style="color: #339933;">:</span><span style="color: #003366; font-weight: bold;">true</span><span style="color: #339933;">,</span>
		background<span style="color: #339933;">:</span><span style="color: #003366; font-weight: bold;">false</span>
<span style="color: #009900;">&#125;</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span></pre>

# Set defaults for all modals

The default values will be used for all modals on the website

<pre class="javascript" style="font-family:monospace;"><span style="color: #339933;">&lt;</span>script src<span style="color: #339933;">=</span><span style="color: #3366CC;">&quot;javascript/simplemodal.js&quot;</span><span style="color: #339933;">&gt;&lt;/</span>script<span style="color: #339933;">&gt;</span>
<span style="color: #339933;">&lt;</span>script<span style="color: #339933;">&gt;</span>
$.<span style="color: #660066;">fn</span>.<span style="color: #660066;">simplemodalconfig</span><span style="color: #009900;">&#40;</span><span style="color: #009900;">&#123;</span>
	shadow<span style="color: #339933;">:</span><span style="color: #003366; font-weight: bold;">false</span><span style="color: #339933;">,</span>
	background<span style="color: #339933;">:</span> <span style="color: #003366; font-weight: bold;">false</span><span style="color: #339933;">,</span>
	escape<span style="color: #339933;">:</span><span style="color: #003366; font-weight: bold;">true</span><span style="color: #339933;">,</span>
	fade<span style="color: #339933;">:</span><span style="color: #003366; font-weight: bold;">true</span><span style="color: #339933;">,</span>
	border<span style="color: #339933;">:</span> <span style="color: #3366CC;">'1px solid #CCC'</span>	
<span style="color: #009900;">&#125;</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span>
<span style="color: #339933;">&lt;/</span>script<span style="color: #339933;">&gt;</span></pre>
   
# Buttons and events
 
 <pre class="javascript" style="font-family:monospace;"><span style="color: #339933;">&lt;</span>script<span style="color: #339933;">&gt;</span>
<span style="color: #000066; font-weight: bold;">function</span> buttonModal<span style="color: #009900;">&#40;</span><span style="color: #009900;">&#41;</span><span style="color: #009900;">&#123;</span>
	simplemodal<span style="color: #009900;">&#40;</span><span style="color: #009900;">&#123;</span>
		title<span style="color: #339933;">:</span><span style="color: #3366CC;">'Modal'</span><span style="color: #339933;">,</span>
		content<span style="color: #339933;">:</span><span style="color: #3366CC;">'Lorem ipsum dolor sit amet'</span><span style="color: #339933;">,</span>
		width<span style="color: #339933;">:</span> <span style="color: #3366CC;">'400px'</span><span style="color: #339933;">,</span>
		buttons<span style="color: #339933;">:</span> <span style="color: #009900;">&#123;</span>
			<span style="color: #3366CC;">'Okay'</span> 		<span style="color: #339933;">:</span> <span style="color: #009900;">&#123;</span>
				style<span style="color: #339933;">:</span><span style="color: #3366CC;">'btn btn-primary'</span><span style="color: #339933;">,</span>
				action<span style="color: #339933;">:</span><span style="color: #000066; font-weight: bold;">function</span><span style="color: #009900;">&#40;</span><span style="color: #009900;">&#41;</span><span style="color: #009900;">&#123;</span>
					alert<span style="color: #009900;">&#40;</span><span style="color: #3366CC;">'Clicked okay'</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span>
				<span style="color: #009900;">&#125;</span>
			<span style="color: #009900;">&#125;</span><span style="color: #339933;">,</span>
			<span style="color: #3366CC;">'Google'</span>	<span style="color: #339933;">:</span> <span style="color: #009900;">&#123;</span>
				style<span style="color: #339933;">:</span><span style="color: #3366CC;">'btn btn-default'</span><span style="color: #339933;">,</span>
				action<span style="color: #339933;">:</span><span style="color: #000066; font-weight: bold;">function</span><span style="color: #009900;">&#40;</span><span style="color: #009900;">&#41;</span><span style="color: #009900;">&#123;</span>
					location.<span style="color: #660066;">href</span><span style="color: #339933;">=</span><span style="color: #3366CC;">'http://www.google.com'</span><span style="color: #339933;">;</span>
				<span style="color: #009900;">&#125;</span>
			<span style="color: #009900;">&#125;</span><span style="color: #339933;">,</span>
			<span style="color: #3366CC;">'Abort'</span>		<span style="color: #339933;">:</span> <span style="color: #009900;">&#123;</span>
				style<span style="color: #339933;">:</span><span style="color: #3366CC;">'btn btn-link'</span><span style="color: #339933;">,</span>
				action<span style="color: #339933;">:</span><span style="color: #000066; font-weight: bold;">function</span><span style="color: #009900;">&#40;</span><span style="color: #009900;">&#41;</span><span style="color: #009900;">&#123;</span>
					closesimplemodal<span style="color: #009900;">&#40;</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span>
				<span style="color: #009900;">&#125;</span>
			<span style="color: #009900;">&#125;</span>
		<span style="color: #009900;">&#125;</span><span style="color: #339933;">,</span>
		onbeforeclose<span style="color: #339933;">:</span> <span style="color: #000066; font-weight: bold;">function</span><span style="color: #009900;">&#40;</span><span style="color: #009900;">&#41;</span><span style="color: #009900;">&#123;</span>
			alert<span style="color: #009900;">&#40;</span><span style="color: #3366CC;">'event: onbeforeclose, if this function returns false, the window will not be closed.'</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span>
			<span style="color: #000066; font-weight: bold;">return</span> <span style="color: #003366; font-weight: bold;">true</span><span style="color: #339933;">;</span>
		<span style="color: #009900;">&#125;</span><span style="color: #339933;">,</span>
		onclose<span style="color: #339933;">:</span> <span style="color: #000066; font-weight: bold;">function</span><span style="color: #009900;">&#40;</span><span style="color: #009900;">&#41;</span><span style="color: #009900;">&#123;</span>
			alert<span style="color: #009900;">&#40;</span><span style="color: #3366CC;">'event: onclose. executed, after the modal was closed.'</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span>
		<span style="color: #009900;">&#125;</span>
	<span style="color: #009900;">&#125;</span><span style="color: #009900;">&#41;</span><span style="color: #339933;">;</span>	
<span style="color: #009900;">&#125;</span>
<span style="color: #339933;">&lt;/</span>script<span style="color: #339933;">&gt;</span>
<span style="color: #339933;">&lt;</span>a href<span style="color: #339933;">=</span><span style="color: #3366CC;">&quot;javascript:buttonModal();&quot;</span> <span style="color: #FF0000;">class</span><span style="color: #339933;">=</span><span style="color: #3366CC;">&quot;btn btn-default&quot;</span><span style="color: #339933;">&gt;</span>open modal with buttons<span style="color: #339933;">&lt;/</span>a<span style="color: #339933;">&gt;</span></pre>
 
# Documentation
 
 <pre class="javascript" style="font-family:monospace;"><span style="color: #006600; font-style: italic;">// title</span>
title			<span style="color: #339933;">:</span> <span style="color: #003366; font-weight: bold;">false</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// title text</span>
titlecolor		<span style="color: #339933;">:</span> <span style="color: #3366CC;">'#666'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// font color</span>
bgtitle			<span style="color: #339933;">:</span> <span style="color: #3366CC;">'#EEE'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// background color</span>
titleborder		<span style="color: #339933;">:</span> <span style="color: #3366CC;">'1px solid #CCC'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// bottom border</span>
&nbsp;
<span style="color: #006600; font-style: italic;">// content</span>
content			<span style="color: #339933;">:</span> <span style="color: #003366; font-weight: bold;">false</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// content text</span>
contentcolor	<span style="color: #339933;">:</span> <span style="color: #3366CC;">'#666'</span><span style="color: #339933;">,</span>  <span style="color: #006600; font-style: italic;">// font color</span>
bgcontent		<span style="color: #339933;">:</span> <span style="color: #3366CC;">'#FFF'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// background color</span>
&nbsp;
<span style="color: #006600; font-style: italic;">// close button</span>
close			<span style="color: #339933;">:</span> <span style="color: #003366; font-weight: bold;">true</span><span style="color: #339933;">,</span>
bgclose			<span style="color: #339933;">:</span> <span style="color: #3366CC;">'#666'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// background color</span>
closecolor		<span style="color: #339933;">:</span> <span style="color: #3366CC;">'#EEE'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// font color</span>
closeborder		<span style="color: #339933;">:</span> <span style="color: #3366CC;">'0px solid #CCC'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// border</span>
onbeforeclose	<span style="color: #339933;">:</span> <span style="color: #000066; font-weight: bold;">function</span><span style="color: #009900;">&#40;</span><span style="color: #009900;">&#41;</span><span style="color: #009900;">&#123;</span><span style="color: #000066; font-weight: bold;">return</span> <span style="color: #003366; font-weight: bold;">true</span><span style="color: #339933;">;</span><span style="color: #009900;">&#125;</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// executed before closing, return false if you dont want the modal closed</span>
onclose			<span style="color: #339933;">:</span> <span style="color: #000066; font-weight: bold;">function</span><span style="color: #009900;">&#40;</span><span style="color: #009900;">&#41;</span><span style="color: #009900;">&#123;</span><span style="color: #009900;">&#125;</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// executed after the window was closed</span>
&nbsp;
hoverbgclose	<span style="color: #339933;">:</span> <span style="color: #3366CC;">'#CCC'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// hover background color</span>
hoverclosecolor	<span style="color: #339933;">:</span> <span style="color: #3366CC;">'#000'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// hover font color</span>
closehoverborder<span style="color: #339933;">:</span> <span style="color: #3366CC;">'0px solid #CCC'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// hover border</span>
&nbsp;
<span style="color: #006600; font-style: italic;">// iframe</span>
iframe			<span style="color: #339933;">:</span> <span style="color: #003366; font-weight: bold;">false</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// iframe path/url</span>
iframepadding	<span style="color: #339933;">:</span> <span style="color: #CC0000;">10</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// padding</span>
iframescroll	<span style="color: #339933;">:</span> <span style="color: #3366CC;">'no'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// scrolling</span>
&nbsp;
<span style="color: #006600; font-style: italic;">// ajax</span>
ajax			<span style="color: #339933;">:</span> <span style="color: #003366; font-weight: bold;">false</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// ajax path/url</span>
&nbsp;
<span style="color: #006600; font-style: italic;">// image</span>
image			<span style="color: #339933;">:</span> <span style="color: #003366; font-weight: bold;">false</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// image path/url</span>
&nbsp;
<span style="color: #006600; font-style: italic;">// modal general</span>
width			<span style="color: #339933;">:</span> <span style="color: #3366CC;">'auto'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// width (5px, full, auto)</span>
height			<span style="color: #339933;">:</span> <span style="color: #3366CC;">'auto'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// height (5px, full, auto)</span>
border			<span style="color: #339933;">:</span> <span style="color: #3366CC;">'0px solid #CCC'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// border</span>
rounded			<span style="color: #339933;">:</span> <span style="color: #003366; font-weight: bold;">true</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// rounded</span>
borderradius	<span style="color: #339933;">:</span> <span style="color: #CC0000;">5</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// border radius</span>
shadow			<span style="color: #339933;">:</span> <span style="color: #003366; font-weight: bold;">true</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// shadow</span>
background		<span style="color: #339933;">:</span> <span style="color: #003366; font-weight: bold;">true</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// background</span>
draggable		<span style="color: #339933;">:</span> <span style="color: #003366; font-weight: bold;">false</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// draggable</span>
fade			<span style="color: #339933;">:</span> <span style="color: #003366; font-weight: bold;">false</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// fade</span>
escape			<span style="color: #339933;">:</span> <span style="color: #003366; font-weight: bold;">false</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// escape key</span>
&nbsp;
<span style="color: #006600; font-style: italic;">// Buttons</span>
buttons			<span style="color: #339933;">:</span>	<span style="color: #003366; font-weight: bold;">null</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// buttons</span>
buttonsborder	<span style="color: #339933;">:</span> <span style="color: #3366CC;">'1px solid #CCC'</span><span style="color: #339933;">,</span> <span style="color: #006600; font-style: italic;">// bottom border</span>
buttonsbg		<span style="color: #339933;">:</span> <span style="color: #3366CC;">'#EEE'</span> <span style="color: #006600; font-style: italic;">// background</span></pre>

 
 
 
